import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class ROT13  {

    String ciphered;
    int rotation;

    ROT13(Character cs, Character cf) {
        this.rotation = Math.abs(cs - cf);
    }

    ROT13() {
        this.rotation = 13;
    }


    public String crypt(String text) throws UnsupportedOperationException {

            StringBuilder sb = new StringBuilder();

        for(int i = 0; i < text.length(); i++){
            if(!Character.isLetter(text.charAt(i))){
                sb.append(text.charAt(i));
            } else if(Character.isUpperCase(text.charAt(i))){
                char ch = (char) (((int) text.charAt(i) + rotation - 65) % 26 + 65);
                sb.append(ch);
            } else {
                char ch = (char) (((int) text.charAt(i)+ rotation - 97) % 26 + 97);
                sb.append(ch);
            }
        } return sb.toString();
    }

    public String encrypt(String text) {

        return crypt(text);
    }

    public String decrypt(String text) {

        return crypt(text);
    }

    public String rotate(String s, Character c) {
        int difference = (int) c - 65;
        int i = difference % s.length();
        return s.substring(i) + s.substring(0,i);
    }

    public String fileToString (File filePath) throws IOException {
        return new String(Files.readAllBytes(Paths.get(String.valueOf(filePath))));
    }

    public File newEncryptedFile(String original, String newFileName) {
       File newFile = null;
        try {
            newFile = new File(newFileName);
            FileWriter fileWriter = new FileWriter(newFile);
            fileWriter.write(encrypt(fileToString(new File(original))));
            fileWriter.flush();
            fileWriter.close();
            
        } catch (IOException e) {
            e.printStackTrace();
        }
        return newFile;
    } 
}
